Compare commits

...

4 Commits
v23.2 ... v24

Author SHA1 Message Date
Tonye Jack
6c44eb8294 fix: bug returning an error for the first repo commit (#554) 2022-07-21 20:33:15 -04:00
Tonye Jack
ce1dc8468b chore: update README.md (#552)
* chore: update README.md

* Update README.md
2022-07-21 18:37:16 -04:00
Tonye Jack
c07b7603d6 chore: Update README.md (#553) 2022-07-21 18:36:35 -04:00
Tonye Jack
22dc9741b8 Upgraded from v23.1 -> v23.2 (#551)
Co-authored-by: jacktony1 <jacktony1@users.noreply.github.com>
2022-07-18 17:34:45 -04:00
3 changed files with 62 additions and 33 deletions

View File

@@ -1,5 +1,37 @@
# Changelog
## [Unreleased](https://github.com/tj-actions/changed-files/tree/HEAD)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v23.2...HEAD)
**Fixed bugs:**
- \[BUG\] PREVIOUS\_SHA & CURRENT\_SHA is the same when re-running a workflow, causing changed-files to be empty [\#547](https://github.com/tj-actions/changed-files/issues/547)
## [v23.2](https://github.com/tj-actions/changed-files/tree/v23.2) (2022-07-18)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v23.1...v23.2)
**Fixed bugs:**
- \[BUG\] Repo name changed, workflows are broken [\#542](https://github.com/tj-actions/changed-files/issues/542)
**Closed issues:**
- Dependency Dashboard [\#27](https://github.com/tj-actions/changed-files/issues/27)
**Merged pull requests:**
- feat: fix bug with similar commit hashes. [\#549](https://github.com/tj-actions/changed-files/pull/549) ([jackton1](https://github.com/jackton1))
- chore: update readme [\#544](https://github.com/tj-actions/changed-files/pull/544) ([jackton1](https://github.com/jackton1))
- chore\(deps\): update tj-actions/github-changelog-generator action to v1.14 [\#541](https://github.com/tj-actions/changed-files/pull/541) ([renovate[bot]](https://github.com/apps/renovate))
- Updated README.md [\#540](https://github.com/tj-actions/changed-files/pull/540) ([jackton1](https://github.com/jackton1))
- chore: update test [\#539](https://github.com/tj-actions/changed-files/pull/539) ([jackton1](https://github.com/jackton1))
- chore: update README.md [\#538](https://github.com/tj-actions/changed-files/pull/538) ([jackton1](https://github.com/jackton1))
- docs: add JoeOvo as a contributor for doc [\#537](https://github.com/tj-actions/changed-files/pull/537) ([allcontributors[bot]](https://github.com/apps/allcontributors))
- Update README.md [\#536](https://github.com/tj-actions/changed-files/pull/536) ([JoeOvo](https://github.com/JoeOvo))
- Upgraded to v23.1 [\#535](https://github.com/tj-actions/changed-files/pull/535) ([jackton1](https://github.com/jackton1))
## [v23.1](https://github.com/tj-actions/changed-files/tree/v23.1) (2022-06-24)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v23...v23.1)
@@ -12,10 +44,6 @@
- \[BUG\] Misleading error if git command is missing [\#532](https://github.com/tj-actions/changed-files/issues/532)
**Closed issues:**
- Dependency Dashboard [\#27](https://github.com/tj-actions/changed-files/issues/27)
**Merged pull requests:**
- chore: removed unused code [\#534](https://github.com/tj-actions/changed-files/pull/534) ([jackton1](https://github.com/jackton1))
@@ -593,7 +621,7 @@
## [v13](https://github.com/tj-actions/changed-files/tree/v13) (2022-02-17)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v2.0.1...v13)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v12.2...v13)
**Implemented enhancements:**
@@ -612,13 +640,13 @@
- \[BUG\] wrong result of any\_change output [\#314](https://github.com/tj-actions/changed-files/issues/314)
- \[BUG\] Investigate possible bug using since\_last\_remote\_commit when force pushing changes. [\#303](https://github.com/tj-actions/changed-files/issues/303)
## [v2.0.1](https://github.com/tj-actions/changed-files/tree/v2.0.1) (2021-12-30)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v12.2...v2.0.1)
## [v12.2](https://github.com/tj-actions/changed-files/tree/v12.2) (2021-12-30)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v12.1...v12.2)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v2.0.1...v12.2)
## [v2.0.1](https://github.com/tj-actions/changed-files/tree/v2.0.1) (2021-12-30)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v12.1...v2.0.1)
**Merged pull requests:**

View File

@@ -42,7 +42,7 @@ Retrieve all changed files and directories relative to the target branch (`pull_
> NOTE: :warning:
>
> * **IMPORTANT:** For `push` events you need to include `fetch-depth: 0` **OR** `fetch-depth: 2` depending on your use case.
> * When using `persist-credentials: false` with `actions/checkout@v2` you'll need to specify a `token` using the `token` input.
> * When using `persist-credentials: false` with `actions/checkout@v3` you'll need to specify a `token` using the `token` input.
> * For monorepos where pulling all the branch history might not be desired, you can omit `fetch-depth` for `pull_request` events.
> * For files located in a sub-directory ensure that the pattern specified contains `**/` (globstar) to match any preceding directories or explicitly pass the full path relative to the project root. See: [#314](https://github.com/tj-actions/changed-files/issues/314).
@@ -68,7 +68,7 @@ jobs:
- name: Get changed files
id: changed-files
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
- name: List all changed files
run: |
@@ -142,7 +142,7 @@ Support this project with a :star:
| sha | `string` | `true` | `${{ github.sha }}` | Specify a different <br> commit SHA <br> used for <br> comparing changes |
| base\_sha | `string` | `false` | | Specify a different <br> base commit SHA <br> used for <br> comparing changes |
| path | `string` | `false` | `'.'` | Relative path under <br> `GITHUB_WORKSPACE` <br> to the repository |
| since\_last\_remote\_commit | `boolean` | `false` | `false` | Use the last commit on the remote <br> branch as the `base_sha` <br> (Defaults to the last commit <br> on the target branch for Pull requests <br> or the previous commit <br> on the current branch <br> for push events). <br /> NOTE: This requires <br /> `fetch-depth: 0` <br /> with `actions/checkout@v2` |
| since\_last\_remote\_commit | `boolean` | `false` | `false` | Use the last commit on the remote <br> branch as the `base_sha` <br> (Defaults to the last commit <br> on the target branch for Pull requests <br> or the previous commit <br> on the current branch <br> for push events). <br /> NOTE: This requires <br /> `fetch-depth: 0` <br /> with `actions/checkout@v3` |
| use\_fork\_point | `boolean` | `false` | `false` | Finds best common ancestor <br /> between two commits <br /> to use in a three-way merge <br /> as the `base_sha` <br /> See: [git merge-base](https://git-scm.com/docs/git-merge-base#Documentation/git-merge-base.txt---fork-point). <br> NOTE: This pulls the entire commit history of the base branch |
| quotepath | `boolean` | `false` | `true` | Output filenames completely verbatim by setting this to `false` |
| diff\_relative | `boolean` | `false` | | Exclude changes outside the current directory and show pathnames relative to it. |
@@ -160,11 +160,11 @@ Support this project with a :star:
- name: Get changed files using defaults
id: changed-files
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
- name: Get changed files using a comma separator
id: changed-files-comma
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
separator: ","
@@ -186,7 +186,7 @@ Support this project with a :star:
- name: Get specific changed files
id: changed-files-specific
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
files: |
my-file.txt
@@ -227,14 +227,14 @@ Support this project with a :star:
- name: Use a source file or list of file(s) to populate to files input.
id: changed-files-specific-source-file
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
files_from_source_file: |
test/changed-files-list.txt
- name: Use a source file or list of file(s) to populate to files input and optionally specify more files.
id: changed-files-specific-source-file-and-specify-files
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
files_from_source_file: |
test/changed-files-list.txt
@@ -243,25 +243,25 @@ Support this project with a :star:
- name: Use a different commit SHA
id: changed-files-custom-sha
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
sha: ${{ github.event.pull_request.head.sha }}
- name: Use a different base SHA
id: changed-files-custom-base-sha
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
base_sha: "2096ed0"
- name: Checkout into dir1
uses: actions/checkout@v2
uses: actions/checkout@v3
with:
fetch-depth: 0
path: dir1
- name: Run changed-files with defaults on the dir1
id: changed-files-for-dir1
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
path: dir1
@@ -273,19 +273,19 @@ Support this project with a :star:
- name: Run changed-files using the last commit on the remote branch
id: changed-files-since-last-remote-commit
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
since_last_remote_commit: "true"
- name: Run changed-files using the fork point of a pull request
id: changed-files-fork-point
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
use_fork_point: "true"
- name: Run changed-files with quotepath disabled
id: changed-files-quotepath
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
quotepath: "false"
@@ -307,7 +307,7 @@ Support this project with a :star:
- name: Run changed-files with the commit of the last successful test workflow run
id: changed-files-base-sha-push
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
base_sha: ${{ steps.last_successful_commit_push.outputs.commit_hash }}
@@ -328,13 +328,13 @@ Support this project with a :star:
- name: Run changed-files with the commit of the last successful test workflow run on main
if: github.event_name == 'pull_request'
id: changed-files-base-sha-pull-request
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
base_sha: ${{ steps.last_successful_commit_pull_request.outputs.commit_hash }}
- name: Run changed-files with dir_names
id: changed-files-dir-names
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
dir_names: "true"
```
@@ -387,7 +387,7 @@ With the switch from using grep's Extended regex to match files to the natively
- name: Get specific changed files
id: changed-files-specific
uses: tj-actions/changed-files@v23.1
uses: tj-actions/changed-files@v23.2
with:
files: |
*.sh

View File

@@ -2,6 +2,8 @@
set -eu
INITIAL_COMMIT="false"
echo "::group::changed-files-diff-sha"
if [[ -n $INPUT_PATH ]]; then
@@ -48,13 +50,12 @@ if [[ -z $GITHUB_BASE_REF ]]; then
echo "::debug::GITHUB_BASE_REF unset using $TARGET_BRANCH..."
if [[ -z $INPUT_BASE_SHA ]]; then
git fetch --no-tags -u --progress --depth=2 origin "${CURRENT_BRANCH}":"${CURRENT_BRANCH}" && exit_status=$? || exit_status=$?
if [[ $(git rev-list --count "HEAD") -gt 1 ]]; then
PREVIOUS_SHA=$(git rev-list -n 1 "HEAD^1" 2>&1) && exit_status=$? || exit_status=$?
PREVIOUS_SHA=$(git rev-parse "@~" 2>&1) && exit_status=$? || exit_status=$?
echo "::debug::Previous SHA: $PREVIOUS_SHA"
else
PREVIOUS_SHA=$CURRENT_SHA && exit_status=$? || exit_status=$?
INITIAL_COMMIT="true"
echo "::debug::Initial commit detected"
echo "::debug::Previous SHA: $PREVIOUS_SHA"
fi
@@ -107,7 +108,7 @@ else
fi
fi
if [[ -n "$PREVIOUS_SHA" && -n "$CURRENT_SHA" && "$PREVIOUS_SHA" == "$CURRENT_SHA" ]]; then
if [[ -n "$PREVIOUS_SHA" && -n "$CURRENT_SHA" && "$PREVIOUS_SHA" == "$CURRENT_SHA" && "$INITIAL_COMMIT" == "false" ]]; then
echo "::error::Similar commit hashes detected: previous sha: $PREVIOUS_SHA is equivalent to the current sha: $CURRENT_SHA"
echo "::error::You seem to be missing 'fetch-depth: 0' or 'fetch-depth: 2'. See https://github.com/tj-actions/changed-files#usage"
exit 1